Gtk2::Drag(3)

NAME
Gtk2::Drag

METHODS

  dragcontext = Gtk2::Drag->begin ($widget, $targets, $actions, $button, $event)

    * $widget (Gtk2::Widget)
    * $targets (Gtk2::TargetList)
    * $actions (Gtk2::Gdk::DragAction)
    * $button (integer)
    * $event (Gtk2::Gdk::Event)

ENUMS AND FLAGS

  flags Gtk2::Gdk::DragAction

* 'default' / 'GDK_ACTION_DEFAULT'
* 'copy' / 'GDK_ACTION_COPY'
* 'move' / 'GDK_ACTION_MOVE'
* 'link' / 'GDK_ACTION_LINK'
* 'private' / 'GDK_ACTION_PRIVATE'
* 'ask' / 'GDK_ACTION_ASK'

SEE ALSO
Gtk2

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.